Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 24386b989d7cdbabd31a3372e6f7573dd8ed7f4f)
+++ src/sas/guiframe/gui_manager.py	(revision 069aae20413ed91a01bcfd02914a36495ce4b8ed)
@@ -52,4 +52,6 @@
         The application directory is the one where the default custom_config.py
         file resides.
+
+        :returns: app_path - the path to the applicatin directory
     """
     # First, try the directory of the executable we are running
@@ -68,5 +70,5 @@
 
     # Finally, try the directory of the sasview module
-    #TODO: gui_manager will have to know about sasview until we
+    # TODO: gui_manager will have to know about sasview until we
     # clean all these module variables and put them into a config class
     # that can be passed by sasview.py.
@@ -834,9 +836,9 @@
     def PushStatusText(self, *args, **kwds):
         """
-            FIXME: No message is passed. What is this supposed to do?
+        .. todo:: No message is passed. What is this supposed to do?
         """
         field = self.sb.get_msg_position()
         wx.Frame.PushStatusText(self, field=field,
-                                string="FIXME: PushStatusText called without text")
+                                string="FIXME - PushStatusText called without text")
 
     def add_perspective(self, plugin):
@@ -894,5 +896,5 @@
         :param dir: directory in which to look for plug-ins
 
-        :return: list of plug-ins
+        :returns: list of plug-ins
 
         """
@@ -945,5 +947,5 @@
                             file.close()
         except:
-            # Should raise and catch at a higher level and 
+            # Should raise and catch at a higher level and
             # display error on status bar
             logging.error(sys.exc_value)
@@ -992,5 +994,5 @@
 
         # Set up welcome panel
-        #TODO: this needs serious simplification
+        # TODO: this needs serious simplification
         if self.welcome_panel_class is not None:
             welcome_panel = MDIFrame(self, None, 'None', (100, 200))
@@ -1082,4 +1084,8 @@
     def onfreeze(self, theory_id):
         """
+        Saves theory/model and passes to data loader.
+
+        ..warning:: This seems to be the exact same code as the next
+        function called simply freeze. This probably needs fixing
         """
         data_state_list = self._data_manager.freeze(theory_id)
@@ -1093,4 +1099,8 @@
     def freeze(self, data_id, theory_id):
         """
+        Saves theory/model and passes to data loader.
+
+        ..warning:: This seems to be the exact same code as the next
+        function called simply freeze. This probably needs fixing
         """
         data_state_list = self._data_manager.freeze_theory(data_id=data_id,
@@ -1157,5 +1167,5 @@
         :param p: panel object to add to the AUI manager
 
-        :return: ID of the event associated with the new panel [int]
+        :returns: ID of the event associated with the new panel [int]
 
         """
@@ -1178,5 +1188,5 @@
         # Append nummber
         captions = self._get_plotpanel_captions()
-        #FIXME: Fix this aweful loop
+        # FIXME: Fix this awful loop
         while (1):
             caption = windowcaption + '%s' % str(self.graph_num)
@@ -2050,6 +2060,4 @@
             version_info = json.loads(content)
         except:
-            msg = traceback.format_exc()
-            logging.info(msg)
             logging.info("Failed to connect to www.sasview.org")
             version_info = {"version": "0.0.0"}
@@ -2458,5 +2466,6 @@
         """
         Save file as txt
-        :TODO: Refactor and remove this method. See TODO in _onSave.
+
+        .. todo:: Refactor and remove this method. See 'TODO' in _onSave.
         """
         if not path == None:
@@ -2886,5 +2895,5 @@
                     # Append nummber
                     inc = 1
-                    #FIXME: fix this terrible loop
+                    # FIXME: fix this terrible loop
                     while (1):
                         caption = new_caption + '_%s' % str(inc)
@@ -2909,5 +2918,5 @@
 
         :param name: window_name in AuiPaneInfo
-        :return: AuiPaneInfo of the name
+        :returns: AuiPaneInfo of the name
         """
         for panel in self.plot_panels.values():
@@ -3081,10 +3090,10 @@
                 pass
 
-        # Draw all panels 
+        # Draw all panels
         if count == 1:
             f_draw(self.schedule_full_draw_list[0])
         else:
             map(f_draw, self.schedule_full_draw_list)
-        # Reset the attr  
+        # Reset the attr
         if len(self.schedule_full_draw_list) == 0:
             self.set_schedule(False)
@@ -3127,5 +3136,6 @@
         Get window size
 
-        :return size: tuple
+        :returns: size
+        :rtype: tuple
         """
         width, height = self.GetSizeTuple()
@@ -3148,5 +3158,5 @@
             pass
 
-        # restart idle        
+        # restart idle
         self._redraw_idle(*args, **kwargs)
 
@@ -3156,5 +3166,5 @@
         Restart Idle
         """
-        # restart idle   
+        # restart idle
         self.idletimer.Restart(100 * TIME_FACTOR, *args, **kwargs)
 
@@ -3316,5 +3326,5 @@
         """
         is_maximized = False
-        # Get size of screen without 
+        # Get size of screen without
         for screenCount in range(wx.Display().GetCount()):
             screen = wx.Display(screenCount)
@@ -3333,5 +3343,5 @@
             customHeight = displayHeight * 0.9
         else:
-            # If the custom screen is bigger than the 
+            # If the custom screen is bigger than the
             # window screen than make maximum size
             if customWidth > displayWidth:
@@ -3431,4 +3441,8 @@
     def show_data_panel(self, action):
         """
+        Turns on the data panel
+
+        The the data panel is optional.  Most of its functions can be
+        performed from the menu bar and from the plots.
         """
         self.parent.show_data_panel(action)
